HUGO-NEW-THEME(1)

NAME

hugo-new-theme - Create a new theme

SYNOPSIS

hugo new theme [name] [flags]

DESCRIPTION

Create a new theme (skeleton) called [name] in the current directory. New theme is a skeleton. Please add content to the touched files. Add your name to the copyright line in the license and adjust the theme.toml file as you see fit.

OPTIONS

-h, --help[=false]
    help for theme

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-e, --environment=""
    build environment

--ignoreVendor[=false]
    ignores any _vendor directory

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

--quiet[=false]
    build in quiet mode

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo-new(1)